# PutFileOptions | Stacks.js 1.0.0 Library Reference
Documentation for Stacks.js 1.0.0 Library Reference

Specify a valid MIME type, encryption options, and whether to sign the [[UserSession.putFile]].

### Hierarchy

- EncryptionOptions
  - PutFileOptions

## Index

### Properties

- cipherTextEncoding
- contentType
- encrypt
- sign
- wasString

## Properties

### Optional cipherTextEncoding

cipherTextEncoding: CipherTextEncoding

Inherited from PutFileOptions.cipherTextEncoding

- Defined in packages/encryption/dist/encryption/src/encryption.d.ts:5

### Optional contentType

contentType: undefined | string

- Defined in packages/storage/src/storage.ts:46

Specifies the Content-Type header for unencrypted data. If the `encrypt` is enabled, this option is ignored, and the Content-Type header is set to `application/json` for the ciphertext JSON envelope.

### Optional encrypt

encrypt: boolean | string

- Defined in packages/storage/src/storage.ts:53

Encrypt the data with the app public key. If a string is specified, it is used as the public key. If the boolean `true` is specified then the current user's app public key is used.

default

  true

### Optional sign

sign: boolean | string

Inherited from PutFileOptions.sign

- Defined in packages/encryption/dist/encryption/src/encryption.d.ts:4

### Optional wasString

wasString: undefined | false | true

Inherited from PutFileOptions.wasString

- Defined in packages/encryption/dist/encryption/src/encryption.d.ts:6

Generated using TypeDoc